Skip to main content
GET
/
payouts
/
reconciliation
Reconciliation summary
curl --request GET \
  --url https://api.billing.io/v1/payouts/reconciliation \
  --header 'Authorization: Bearer <token>'
{
  "matched": {
    "count": 123,
    "total_amount": 123
  },
  "unmatched_payouts": {
    "count": 123,
    "total_amount": 123
  },
  "unexpected_settlements": {
    "count": 123,
    "total_amount": 123
  },
  "discrepancies": [
    {
      "payout_intent_id": "<string>",
      "settlement_id": "<string>",
      "expected_amount": 123,
      "actual_amount": 123,
      "difference": 123
    }
  ]
}
Get a summary comparing payout intents against on-chain settlements, including any discrepancies.
curl https://api.billing.io/v1/payouts/reconciliation \
  -H "Authorization: Bearer $BILLING_API_KEY"
Response
{
  "matched": { "count": 42, "total_amount": 21000.00 },
  "unmatched_payouts": { "count": 1, "total_amount": 500.00 },
  "unexpected_settlements": { "count": 0, "total_amount": 0 },
  "discrepancies": []
}

Authorizations

Authorization
string
header
required

Use your secret API key as a Bearer token. Keys are prefixed: sk_live_ (production) or sk_test_ (sandbox).

Response

Reconciliation summary

matched
object
unmatched_payouts
object
unexpected_settlements
object
discrepancies
object[]